List All Credentials (v2)
curl --request GET \
--url https://api.flare.io/leaksdb/v2/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flare.io/leaksdb/v2/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flare.io/leaksdb/v2/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"credential_hash": "889d9ba6efa420d3dff7822c9119e744",
"domain": "web.de",
"extra": {},
"hash": "password123",
"hash_type": "unknown",
"id": 1,
"identity_name": "bob@example.com",
"imported_at": "2019-06-03T14:20:25.132662+00:00",
"source": null,
"source_id": "collection-1",
"source_params": null
},
{
"credential_hash": "67033809d2befde723e2cb6893c470ef",
"domain": "arcor.de",
"extra": {},
"hash": "sunshine",
"hash_type": "unknown",
"id": 2,
"identity_name": "sarah@example.net",
"imported_at": "2019-06-03T14:20:25.132662+00:00",
"source": null,
"source_id": "collection-1",
"source_params": null
}
],
"next": "WyJ7XCJjXCI6Mn0iXQ"
}
Credentials
List All Credentials (v2)
GET
/
leaksdb
/
v2
/
credentials
List All Credentials (v2)
DEPRECATED: It is no longer possible to access a list of all credentials in Flare’s database. This endpoint should be replaced by
/astp/v2/credentials/_search
{
"items": [
{
"credential_hash": "889d9ba6efa420d3dff7822c9119e744",
"domain": "web.de",
"extra": {},
"hash": "password123",
"hash_type": "unknown",
"id": 1,
"identity_name": "bob@example.com",
"imported_at": "2019-06-03T14:20:25.132662+00:00",
"source": null,
"source_id": "collection-1",
"source_params": null
},
{
"credential_hash": "67033809d2befde723e2cb6893c470ef",
"domain": "arcor.de",
"extra": {},
"hash": "sunshine",
"hash_type": "unknown",
"id": 2,
"identity_name": "sarah@example.net",
"imported_at": "2019-06-03T14:20:25.132662+00:00",
"source": null,
"source_id": "collection-1",
"source_params": null
}
],
"next": "WyJ7XCJjXCI6Mn0iXQ"
}
Paging
This endpoint supports the Flare standard paging pattern .Query Parameters
number
Maximum size of the JSON object that will be returned (maximum 5 000)
number
The
next value from the last response.string
Order in which you want to browse the credentials. One of
asc or desc.
It defaults to asc which is the recommended way to use the API to obtain newly imported passwords.string
Return only credentials that belong to the specified source.
Was this page helpful?
⌘I